Introducing Peach MyBB Theme - Absolute Delight Check details here
(Tutorial) upgrading FA version form 4.7.0 to latest
#1
Lightbulb 
i use GO DARK theme on my forums and theme is built on FA4 so FA5 icons and web fonts error out because they don't support them
there is a easy solution to resolve this issue.

you need to register  a account on fontawesome. and start a free plan .


[Image: 87fedadb2f327f5808cd23835952cff1.png]

all you need to do is create your first pre-hosted kit
it should  look something like this

[Image: f24fe9af605a6fb5cbf41e4410ff8a9d.png]


Kits uses FA5version  by default but its is redesigned to support FA4.

use pre-hosted kit on your forums
all you need to do this edit this template

Home » Template Sets » GoDark Templates » Edit Template: headerinclude


and add this line of code
Code:
<script src="https://kit.fontawesome.com/yourID.js" crossorigin="anonymous"></script>

now you can finally use FA5 icons on your forums without facing  any problems
Reply
#2
Good work with the tutorial but I will suggest not using FA5 for few reasons -
1. FA5 doesn't support pseudo elements by default
2. You need to enable pseudo elements using javascript
3. You will need to edit css files that are based on FA4.

If anyone wishes to enabled the use of FA5, the addition of above script element will only allow using icons using HTML but not using pseudo elements like we use in the theme.
Reply




Users browsing this thread: 2 Guest(s)